Update a note’s title, content, or folder. All fields are optional — only provided fields are updated.
cURL
curl --request PATCH \ --url https://api.openwhispr.com/api/v1/notes/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "title": "<string>", "content": "<string>", "enhanced_content": "<string>", "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "user_id": "<string>", "client_note_id": "<string>", "title": "<string>", "content": "<string>", "enhanced_content": "<string>", "note_type": "personal", "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
API key starting with owk_live_
Note ID.
New title.
New content.
New enhanced content.
Move to a different folder.
Updated note.
Show child attributes